
CN REST - Bug #7222

SEAD object only partially synchronized - missing autogen.2015061616000265251 document from

/var/metacat/documents

2015-06-18 01:44 - Mark Servilla

Status: Closed Start date: 2015-06-18

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

A single science metadata object with PID "seadva-ZhouQuane9e0f510-1599-4311-a6ed-ecf803f3481f" had been inserted into the

urn:node:SEAD MN on 2015-06-16 with subsequent synchronization to cn.dataone.org. Synchronization failed at the point where the

document is written to /var/metacat/documents with file name autogen.2015061616000265251. The missing

autogen.2015061616000265251 file has apparently resulted in the failure of the index_processor to index

seadva-ZhouQuane9e0f510-1599-4311-a6ed-ecf803f3481f into Solr (see below).

cn-index-processor-daemon.log.3:[ INFO] 2015-06-16 23:23:30,403 (IndexTaskProcessor:getNextIndexTask:155) Start of indexing

pid: seadva-ZhouQuane9e0f510-1599-4311-a6ed-ecf803f3481f

cn-index-processor-daemon.log.3:[ INFO] 2015-06-16 23:23:30,558 (IndexTaskProcessor:isObjectPathReady:263) Object path for

pid: seadva-ZhouQuane9e0f510-1599-4311-a6ed-ecf803f3481f is not available. Task will be retried.

cn-index-processor-daemon.log.3:[ INFO] 2015-06-16 23:23:30,561 (IndexTaskProcessor:getNextIndexTask:164) Task for pid:

seadva-ZhouQuane9e0f510-1599-4311-a6ed-ecf803f3481f not processed.

No relevant log information (from my inspection) was found in /var/metacat/logs, /var/lib/tomcat7/logs, or

/var/logs/dataone/synchronize.

Related issues:

Related to CN REST - Bug #7161: TERN object fails to be indexed by Solr, but ... New 2015-06-05

Related to CN REST - Task #7914: SEAD object only partially synchronized in C... Closed 2016-10-17

Related to CN REST - Bug #7918: SEAD object only partially synchronized - mis... New 2016-10-21

History

#1 - 2015-06-18 01:44 - Mark Servilla

- Related to Bug #7161: TERN object fails to be indexed by Solr, but successfully synchronized added

#2 - 2016-10-17 19:04 - Mark Servilla

- Related to Task #7914: SEAD object only partially synchronized in CN production - missing autogen.2016092916013111425 document from

/var/metacat/documents added

#3 - 2016-10-21 11:34 - Dave Vieglais

- Status changed from New to Closed

- % Done changed from 0 to 100

Appears to be indexed and accessible.

https://search.dataone.org/#view/seadva-ZhouQuane9e0f510-1599-4311-a6ed-ecf803f3481f

#4 - 2016-10-21 17:21 - Dave Vieglais

- Related to Bug #7918: SEAD object only partially synchronized - missing autogen.2016092916012224122 document from /var/metacat/documents

added
